Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: martin rudalics <[email-masked]>
Date: Sat, 14 Jul 2018 10:00:48 +0200

>> Then it would be interesting to break at the two if tests cited above
 >> to find out why the scroll bar is hidden for (-2 ...) in the 26 case
 >> and not in the 25 one.  Can you post the respective values of 'height'
 >> and 'msl'?
 >
 > Since scale is 1, do you still want this?  (It would take some time to
 > get the results for Emacs 25, since I don't have the source that Debian
 > used immediately available.)  The values for Emacs 26 are
 >
 >    (gdb) print height
 >    $10 = 15
 >    (gdb) print msl
 >    $11 = 21

and in this case the scroll bar is not displayed as expected.  Since
your Emacs 25 does display the scroll bar in this case we would have
to find out why.  So it would be nice if you debugged _any_ version
that (1) does display a non-fitting scroll bar and (2) does not show
steppers because we already know that Emacs can't handle steppers.
Then we could look why in that version the msl < height check fails.

Thank you, martin